View Issue Details

IDProjectCategoryView StatusLast Update
12389Bug reports[All Projects] Survey designpublic2017-05-22 17:40
ReportertammoAssigned ToLouisGac 
PrioritynoneSeveritycrash 
Status closedResolutionfixed 
Product Version2.64.x 
Target VersionFixed in Version 
Summary12389: Crash in master branche when opening survey
Description \application\controllers\survey\index.php(44)

   $aLSJavascriptVar['sLEMradix']=$aRadix['separator'];
33 $sLSJavascriptVar="LSvar=".json_encode($aLSJavascriptVar) . ';';
34
35 // Template configuration
36 $param = $this->_getParameters(func_get_args(), $_POST);
37 $surveyid = $param['sid'];
38
39 $oTemplate = Template::model()->getInstance('', $surveyid);
40 $this->oTemplate = $oTemplate;
41 App()->clientScript->registerScript('sLSJavascriptVar',$sLSJavascriptVar,CClientScript::POS_HEAD);
42 App()->clientScript->registerScript('setJsVar',"setJsVar();",CClientScript::POS_BEGIN);// Ensure all js var is set before rendering the page (User can click before $.ready)
43
44 foreach($oTemplate->packages as $package)
45 {
46 App()->getClientScript()->registerPackage((string) $package);
47 }
48 App()->getClientScript()->registerScriptFile(Yii::app()->getConfig('generalscripts')."survey_runtime.js");
49
50
51 if($oTemplate->cssFramework == 'bootstrap')
52 {
53 // We now use the bootstrap package isntead of the Yiistrap TbApi::register() method
54 // Then instead of using the composer dependency system for templates
55 // We can use the package dependency system
56 Yii::app()->getClientScript()->registerMetaTag('width=device-width, initial-scale=1.0', 'viewport');
TagsNo tags attached.
Complete LimeSurvey version number (& build)3.000
I will donate to the project if issue is resolvedNo
Browserff
Database & DB-Versionff
Operating System (Server)W10
Webserver software & versionXAMPP
PHP Version5.5.30

Activities

LouisGac

LouisGac

2017-05-12 09:54

developer   ~43589

in master branch?
tammo

tammo

2017-05-12 10:58

developer   ~43590

Yes, tested again
LouisGac

LouisGac

2017-05-12 10:59

developer   ~43591

so maybe move the bug from develop branch to master branch
tammo

tammo

2017-05-12 12:12

developer   ~43592

It does not happen with all surveys, but it does happen with the one I attached.

limesurvey_survey_319974(2).lss (219,940 bytes)
c_schmitz

c_schmitz

2017-05-22 17:40

administrator   ~43696

Release 2.65.1 Build 170522

Issue History

Date Modified Username Field Change
2017-05-11 17:54 tammo New Issue
2017-05-11 17:54 tammo Status new => assigned
2017-05-11 17:54 tammo Assigned To => LouisGac
2017-05-12 09:54 LouisGac Note Added: 43589
2017-05-12 10:58 tammo Note Added: 43590
2017-05-12 10:59 LouisGac Note Added: 43591
2017-05-12 11:23 LouisGac Product Version 3.x => 2.64.x
2017-05-12 11:23 LouisGac Target Version 3.x =>
2017-05-12 12:12 tammo File Added: limesurvey_survey_319974(2).lss
2017-05-12 12:12 tammo Note Added: 43592
2017-05-15 15:34 LouisGac Status assigned => resolved
2017-05-15 15:34 LouisGac Resolution open => fixed
2017-05-22 17:40 c_schmitz Note Added: 43696
2017-05-22 17:40 c_schmitz Status resolved => closed